%global momorel 3
%global date 20090503
%global mainver 0.7

%global qtdir %{_libdir}/qt3

Summary: AVI file support library
Name: avifile
Version: 0.7.48
Release: 0.%{date}.%{momorel}m%{?dist}
License: GPLv2+
Group: Development/Libraries
URL: http://avifile.sourceforge.net/
#Source0: http://dl.sourceforge.net/sourceforge/%{name}/%{name}-%{mainver}-%{version}.tar.bz2
#NoSource: 0
#Source0: avifile-%{version}-cvs%{date}.tar.bz2
# source0 is taken from debian
Source0: avifile_%{version}~%{date}.ds.orig.tar.gz

Patch1: avifile-0.7-0.7.48-autotools.patch
Patch2: avifile-0.7-0.7.48-avifile-config.patch
Patch3: avifile-0.7-0.7.48-sys-ffmpeg.patch
Patch4: avifile-0.7-0.7.48-sys-lame.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: SDL-devel >= 1.2.7-7m
BuildRequires: qt3-devel >= 3.3.3-2m
BuildRequires: libXxf86dga-devel
BuildRequires: libXxf86vm-devel
BuildRequires: xvid >= 1.1.3-5m

BuildRequires: libjpeg >= 8a

## include local configuration
%{?include_specopt}
## if you want to change default configuration, please copy this to
# ~/rpm/specopt/%{name}.specopt and edit it.

## NOTICE: ENABLING THESE FEATURES MAKES THIS PACKAGE NONFREE!! 
%{?!enable_divx4linux:         %global enable_divx4linux   0}
%if %{enable_divx4linux}
BuildRequires: divx4linux
%endif
BuildRequires: xvid


%description
Libraries and utilities that allows programs to read and write
compressed AVI files (Indeo? Video, DivX :-), etc.) under x86 Linux.
(De)compression is performed with Win32 DLLs.

%prep
#%%setup -q -n %{name}-%{mainver}-%{version}
%setup -q -n avifile-%{version}~%{date}.ds

%patch1 -p1 -b .autotools~
%patch2 -p1 -b .avifile-config~
%patch3 -p1 -b .sys-ffmpeg~
%patch4 -p1 -b .sys-lame~

./autogen.sh

%build

%if %{enable_divx4linux}
DIVX4_FLAG="--enable-divx4"
%else
DIVX4_FLAG="--disable-divx4"
%endif
export QTDIR=%{qtdir}

export CPPFLAGS="-I/usr/include/ffmpeg"

# we use installed lame not bundled one
LAME_FLAG="--enable-lamebin --without-lame"

%configure --with-qt --enable-release \
	   $LAME_FLAG \
           --with-qt-prefix=%{qtdir} --with-qt-includes=%{qtdir}/include --with-qt-libraries=%{qtdir}/lib \
	   --enable-quiet --disable-xvid \
	   --enable-xvid4 $DIVX4_FLAG

find -type d -name CVS | xargs rm -rf
find -type f | xargs perl -p -i -e 's,/dev/video,/dev/video0,g'

# Parallel build shall fail!
# please use make -j1
make -j1

%install
rm -rf %{buildroot}
%makeinstall transform='s,x,x,'

find %{buildroot} -name "*.la" -delete

%post
/sbin/ldconfig

%postun 
/sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc COPYING ChangeLog README doc/*
%{_bindir}/*
%{_libdir}/lib*
%{_libdir}/avifile*
%{_libdir}/pkgconfig/avifile.pc
%{_includedir}/*
%{_datadir}/aclocal/avifile.m4
%{_datadir}/avifile*
%{_mandir}/man*/*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.7.48-0.20090503.3m)
- full rebuild for mo7 release

* Sat Jul 31 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7.48-0.20090503.2m)
- force rebuild without divx4linux

* Fri Jun 11 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.7.48-0.20090503.1m)
- update to 0.7.48
-- import patches from debian/unstable

* Sat Apr 10 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.7.45-0.20060306.21m)
- rebuild against libjpeg-8a

* Mon Dec 28 2009 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.7.45-0.20060306.20m)
- delete __libtoolize hack

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.7.45-0.20060306.19m)
- rebuild against gcc-4.4 and glibc-2.11

* Fri Sep 18 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.7.45-0.20060306.18m)
- apply glibc210 patch

* Tue Sep  1 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.7.45-0.20060306.17m)
- rebuild against libjpeg-7

* Mon May 25 2009 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.7.45-0.20060306.16m)
- fix xvid support
- switch to "make -j1", because it seems to fix libtool issue 

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.7.45-0.20060306.15m)
- rebuild against rpm-4.6

* Wed Dec 31 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.7.45-0.20060306-14m)
- update Patch4 for fuzz=0
- License: GPLv2+

* Thu Nov 20 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.7.45-0.20060306-13m)
- specify qtdir for qt3 support

* Thu Sep 30 2008 Masanobu Sato <satoshiga@momonga-linux.org>
- (0.7.45-0.20060306-12m)
- disable x86_64 SDL patch
- update configure patch for xvid and xvid4

* Mon Sep 29 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7.45-0.20060306-11m)
- [BUILD FIX] BuildPreReq: xvid >= 1.1.3-5m

* Thu May  8 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.7.45-0.20060306-10m)
- rebuild against qt3

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.7.45-0.20060306.9m)
- rebuild against gcc43

* Sun Sep 23 2007 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.7.45-0.20060306.8m)
- added avifile-0.7-0.7.45-xf86dga-fix.patch

* Sun Aug 12 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.7.45-0.20060306.7m)
- rebuild against libvorbis-1.2.0-1m

* Thu Apr 26 2007 zunda <zunda at freeshell.org>
- (kossori)
- added BuildPreReq: libXxf86vm-devel, libXxf86dga-devel:
  samples/qtvidcap/kv4lsetup.cpp does not compile when only
  libXxf86vm-devel presents. Ideally we should have patched
  the source code so that the variables foo, bar, ma, and mi
  are defined on both cases.

* Sun Jan  7 2007 Dai OKUYAMA <dai@ouchi.nahi.to>
- (0.7.45-0.20060306.6m)
- enable ppc, ppc64, sparc64

* Mon Oct 30 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.7.45-0.20060306.5m)
- delete libtool library

* Mon Oct 23 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.7.45-0.20060306.4m)
- add patch14 from debian
-- http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=392559

* Sun Aug 27 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (0.7.45-0.20060306.3m)
- rebuild against expat-2.0.0-1m

* Sat Jul 29 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (0.7.45-0.20060306.2m)
- remove avifile-0.7.40-kernel2681.patch

* Thu Mar 23 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.7.45-0.20060306.1m)
- update to new release 0.7.45
- drop Patch0(avifile-0.7.38-nocheckqt.patch), Patch8(avifile-0.7-0.7.43-gcc4.patch), Patch9(avifile-0.7-0.7.43-gcc41.patch) and Patch12(libavcodec-cvs-ppc-altivec-gcc4.patch): fixed in upstream
- update Patch6(avifile-0.7-0.7.43-mad-fpm.patch)
- add Patch13(avifile-0.7-0.7.45-pluginbuildfix.patch): build fix
- remove aclocal-1.4 and autoconf line from %%prep and %%build: configured automatically in make

* Sun Mar 12 2006 Dai OKUYAMA <dai@ouchi.nahi.to>
- (0.7.43-0.20050224.8m)
- enable ppc

* Sat Feb 25 2006 Masanobu Sato <satoshiga@momonga-linux.org> 
- (0.7.43-0.20050224.7m)
- add patch10 to enable xvid4test
- add patch11 to enable SDL at x86_64

* Tue Feb 21 2006 Kazuhiko <kazuhiko@fdiary.net>
- (0.7.43-0.20050224.6m)
- revise configure options

* Sat Dec 17 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (0.7.43-0.20050224.5m)
- add gcc41 patch 
- Patch9: avifile-0.7-0.7.43-gcc41.patch

* Sun Nov  6 2005 Hiroyuki Koga <kuma@momonga-linux.org>
- (0.7.43-0.20050224.4m)
- add gcc4 patch (Patch8)

* Mon Oct 17 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (0.7.43-0.20050224.3m)
- enable ia64, ppc64, alpha, sparc, sparc64

* Thu Aug 11 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (0.7.43-0.20050224.2m)
- update ppc patch.

* Wed Jul  6 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.7.43-0.20050224.1m)
- update to 0.7.43
- comment out Patch2: avifile-__THROW.patch
- add Patch5: avifile-0.7-0.7.43-delete-x2-patch
  cf. http://prak.org/pipermail/avifile/2003-January.txt

* Sat Feb 26 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7.41-0.20041001.11m)
- use aclocal-1.4
- BuildPreReq: automake14

* Mon Feb 21 2005 Masahiro Takahata <takahata@momonga-linux.org>
- (0.7.41-0.20041001.10m)
- no depend aalib

* Sat Feb 12 2005 Masahiro Takahata <takahata@momonga-linux.org>
- (0.7.41-0.20041001.9m)
- rebuild against SDL-1.2.7-9m

* Wed Feb  9 2005 Toru Hoshina <t@momonga-linux.org>
- (0.7.41-0.20041001.8m)
- rebuild with lame, xvid.

* Sun Feb  6 2005 Toru Hoshina <t@momonga-linux.org>
- (0.7.41-0.20041001.7m)
- relink shouldn't link .la from /usr/lib because it's not installed yet...

* Sun Feb  6 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (0.7.41-0.20041001.6m)
- enable ppc.

* Wed Nov 17 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.7.41-0.20041001.5m)
- sort patch

* Wed Nov 17 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.7.41-0.20041001.4m)
- run aclocal

* Tue Nov 16 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.7.41-0.20041001.3m)
- fix missing lib*.so* files
- rewind 0.7.41-0.20041001.2m changes

* Sat Nov 13 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7.41-0.20041001.2m)
- use ./configure again

* Sat Nov 13 2004 Mitsuru Shimamura <smbd@momonga-linux.org>
- (0.7.41-0.20041001.1m)
- up to 0.7.41, thanks to tom san

* Mon Sep 27 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (0.7.40-0.20040419.5m)
- rebuild against qt-3.3.3-2m (libstdc++-3.4.1)

* Sun Aug 29 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.7.40-0.20040419.4m)
- rebuild against DirectFB-0.9.21

* Sat Aug 28 2004 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.7.40-0.20040419.3m)
- add Patch1: avifile-0.7.40-kernel2681.patch

* Sun May  2 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.7.40-0.20040419.2m)
- revised for xvid-1.0.0rc4 (apiversion 4)

* Thu Apr 29 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.7.40-0.20040419.1m)
- use lateset CVS version (obtained via cvs and not nosrc)
- add avifile-0.7.38-nocheckqt.patch to build aviplay

* Tue Mar 15 2004 Toru Hoshina <t@momonga-linux.org>
- (0.7.37-0.20030522.2m)
- revised spec for enabling rpm 4.2.

* Wed Jun  4 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (0.7.37-0.20030522.1m)
  update to 0.7.37-20030522(rebuild against DirectFB 0.9.18)

* Mon Mar 17 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.7.32-0.20030219.2m)
- rebuild against for XFree86-4.3.0

* Sat Mar 08 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.7.32-0.20030219.1m)
- version 0.7.32

* Thu Jan 23 2003 Kazuhiko <kazuhiko@fdiary.net>
- (0.7.27-0.20030122.1m)

* Thu Jan 16 2003 Kazuhiko <kazuhiko@fdiary.net>
- (0.7.25-0.20030114.1m)

* Thu Dec 19 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.7.22-0.20021129.1m)
- disable xvid...

* Sat Dec 14 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.7.22-0.20021129.1m)

* Tue Oct 29 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.7.17-0.20021028.2m)
- add some header files

* Tue Oct 29 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.7.17-0.20021028.1m)
